credentials.create
Store a credential.
Reference
POST/api/v1/credentials/
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · CredentialResponse
Create a new webhook credential. Args: request: The credential creation request Returns: The created credential (without sensitive data)
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
name | body | string | required | |
description | body | string | optional | |
credential_type | body | "none" | "api_key" | "bearer_token" | "basic_auth" | "custom_header" | "oauth2" | required | Webhook credential authentication types |
credential_data | body | Credential Data | required |
Example request
curl -X POST "https://api.decibyl.ai/api/v1/credentials/" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"name":"string","description":"string","credential_type":"none","credential_data":{}}'Response
{
"uuid": "string",
"name": "string",
"description": "string",
"credential_type": "string",
"created_at": "2026-09-14T09:30:00Z",
"updated_at": "2026-09-14T09:30:00Z"
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |